petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectQuery

Gets a PETSc object associated with a given object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectQuery(PetscObject obj,const char name[],PetscObject *ptr)

Not Collective

### Input Parameters

| obj | - the PETSc object Thus must be cast with a (PetscObject), for example, PetscObjectCompose((PetscObject)mat,...);
| name | - name associated with child object
| ptr | - the other PETSc object associated with the PETSc object, this must be cast with (PetscObject*)

The reference count of neither object is increased in this call

### See Also

PetscObjectCompose()

### Level

advanced

### Location

src/sys/objects/inherit.c

### Examples

src/snes/examples/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages